Get a rate version with its details including dates, unit cost values, and bodylines
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| rateId | ID of the rate schedule to retrieve | integer (int32) | Required |
| versionId | ID of the rate schedule version to retrieve | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
RateVersionResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountLineItems | Cost bodylines for the account | GenericBodylineResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GenericBodylineResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| beginDate | Begin date for the version | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | Created date | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| demandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| demandUnitCost | Unit cost for the demand | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| endDate | End date for the version | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterLineItems | Cost bodylines for the meter | GenericBodylineResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GenericBodylineResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | Last modified date | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| note | Note | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| udfs | List of user defined/custom fields and values for this version | UDFFieldChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UDFFieldChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| useUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| useUnitCost | Unit cost for the use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| versionId | ID of the rate schedule version | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "accountLineItems": [
{ "calculationType": "string", "caption": "string", "observationType": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}, "value": 1.0
}
], "beginDate": "2026-03-30", "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "demandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "demandUnitCost": 1.0, "endDate": "2026-03-30", "meterLineItems": [
{ "calculationType": "string", "caption": "string", "observationType": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}, "value": 1.0
}
], "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "note": "string", "udfs": [
{ "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "description": "string", "displayOrder": 1, "important": false, "name": "string", "udfId": 1, "udfSelectValues": [
{ "displayOrder": 1, "udfSelectValueId": 1, "value": "string"
}
], "value": "string"
}
], "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "useUnitCost": 1.0, "versionId": 1
}